Patch-Source: https://github.com/xiph/opus/pull/267
--
From d94583359bcf8f1b52cc93b7ca6ced9664fb2a7e Mon Sep 17 00:00:00 2001
From: Vilius <orion1vi@protonmail.com>
Date: Sun, 27 Nov 2022 03:13:09 +0200
Subject: [PATCH] Meson: Fix unknown variable have_arm_intrinsics_or_asm

---
 silk/meson.build | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/silk/meson.build b/silk/meson.build
index 917048b2d..a3e3f9eb3 100644
--- a/silk/meson.build
+++ b/silk/meson.build
@@ -25,6 +25,11 @@ if host_cpu_family in ['x86', 'x86_64'] and opus_conf.has('OPUS_HAVE_RTCD')
   silk_sources +=  sources['SILK_SOURCES_X86_RTCD']
 endif
 
+have_arm_intrinsics_or_asm = have_arm_ne10
+if (intrinsics_support.length() + asm_optimization.length() + inline_optimization.length()) > 0
+  have_arm_intrinsics_or_asm = true
+endif
+
 if host_cpu_family in ['arm', 'aarch64'] and have_arm_intrinsics_or_asm
   if opus_conf.has('OPUS_HAVE_RTCD')
     silk_sources +=  sources['SILK_SOURCES_ARM_RTCD']
